"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const seed_1 = __importDefault(require("../src/lib/seed"));
const db_1 = require("../src/lib/db");
const NODE_ENV = process.env.NODE_ENV;
if (NODE_ENV !== 'production' && NODE_ENV !== 'development') {
    console.error('Please set NODE_ENV to production or development');
    process.exit(-1);
}
(async function () {
    await seed_1.default(await db_1.getDb());
    process.exit(0);
})();
//# sourceMappingURL=seed_defaults.js.map