"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const uniqueAggregations_1 = require("../src/lib/uniqueAggregations");
describe('uniqueAggregations', () => {
    describe('apertureToDPRange with different ranges', () => {
        test('1688187600..1719810000', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1688187600, 1719810000])).toStrictEqual([
                1688169600,
                1719878400,
            ]);
        });
        test('1625374800..1628053200', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1625374800, 1628053200])).toStrictEqual([
                1625367600,
                1628056800,
            ]);
        });
        test('1625374800..1625461800', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1625374800, 1625461800])).toStrictEqual([
                1624856400,
                1625463000,
            ]);
        });
        test('1625374900..1625461300', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1625374900, 1625461300])).toStrictEqual([
                1625374800,
                1625463000,
            ]);
        });
        test('1625371800..1625382400', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1625371800, 1625382400])).toStrictEqual([
                1625362200,
                1625383800,
            ]);
        });
        test('1625371200..1625374800', () => {
            expect(uniqueAggregations_1.apertureToDPRange([1625371200, 1625374800])).toStrictEqual([
                1625371200,
                1625374800,
            ]);
        });
    });
});
//# sourceMappingURL=uniqueAggregations.test.js.map