"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.aggregationOpToString = exports.getAggregationOp = exports.AggregationOp = void 0;
var AggregationOp;
(function (AggregationOp) {
    AggregationOp["HEAD"] = "head";
    AggregationOp["TAIL"] = "tail";
    AggregationOp["RANGE"] = "range";
    AggregationOp["UNIQUE"] = "unique";
    AggregationOp["SUM"] = "sum";
    AggregationOp["MEAN"] = "mean";
    AggregationOp["MIN"] = "min";
    AggregationOp["MAX"] = "max";
    AggregationOp["BIN"] = "bin";
    AggregationOp["DISTRIBUTION"] = "distribution";
})(AggregationOp = exports.AggregationOp || (exports.AggregationOp = {}));
function getAggregationOp(aggregation) {
    return aggregation[0];
}
exports.getAggregationOp = getAggregationOp;
function aggregationOpToString(op) {
    switch (op) {
        case AggregationOp.HEAD:
            return 'head';
        case AggregationOp.TAIL:
            return 'tail';
        case AggregationOp.RANGE:
            return 'range';
        case AggregationOp.UNIQUE:
            return 'unique';
        case AggregationOp.SUM:
            return 'sum';
        case AggregationOp.MEAN:
            return 'mean';
        case AggregationOp.MIN:
            return 'min';
        case AggregationOp.MAX:
            return 'max';
        case AggregationOp.BIN:
            return 'bin';
        case AggregationOp.DISTRIBUTION:
            return 'distribution';
        default:
            throw Error('Aggregation operation not found');
    }
}
exports.aggregationOpToString = aggregationOpToString;
//# sourceMappingURL=attributeAggregations.js.map